### Struct

# Qmi MessageFoxSetFccAuthenticationInput

since: 1.38

#### Description [src]

    struct QmiMessageFoxSetFccAuthenticationInput {
      /* No available fields */
    }

The `QmiMessageFoxSetFccAuthenticationInput` structure contains private data and should only be accessed using the provided API.

Available since: 1.38

#### Constructors

###### qmi_message_fox_set_fcc_authentication_input_new

Allocates a new `QmiMessageFoxSetFccAuthenticationInput`.

since: 1.38

#### Instance methods

###### qmi_message_fox_set_fcc_authentication_input_get_magic_number

Get the ‘Magic Number’ field from `self`.

since: 1.38

###### qmi_message_fox_set_fcc_authentication_input_get_magic_string

Get the ‘Magic String’ field from `self`.

since: 1.38

###### qmi_message_fox_set_fcc_authentication_input_ref

Atomically increments the reference count of `self` by one.

since: 1.38

###### qmi_message_fox_set_fcc_authentication_input_set_magic_number

Set the ‘Magic Number’ field in the message.

since: 1.38

###### qmi_message_fox_set_fcc_authentication_input_set_magic_string

Set the ‘Magic String’ field in the message.

since: 1.38

###### qmi_message_fox_set_fcc_authentication_input_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.38